Index: code/branches/campaignHS15/data/levels/Campaign1.oxw
===================================================================
--- code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10705)
+++ code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10710)
@@ -19,4 +19,5 @@
     include("templates/spaceshipSwallow.oxt")
     include("templates/spaceshipTransporter.oxt")
+    include("templates/FPS.oxt")
 ?>
 
@@ -52,5 +53,5 @@
     >
 
-    <SpawnPoint name="playerSpawn" team=1 position="0,-50,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff2 />
+    <SpawnPoint name="playerSpawn" team=1 position="6000,-4000,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff2 />
 
     <WorldAmbientSound source="Earth.ogg" looping="true" playOnLoad="true" />
@@ -327,4 +328,5 @@
           <attached>
             <Model mesh="HydroHarvester.mesh" position="0,0,0" scale=50 />
+            <DistanceTriggerBeacon name="NPC" />
           </attached>
           <collisionShapes>
@@ -349,6 +351,63 @@
     </Template>
 
+    <Dock position="5000,-3000,0" active=true >
+        <animations>
+            <MoveToDockingTarget target="dockA" />
+        </animations>
+        <effects>
+            <DockToShip target="newSpaceShip" />
+        </effects>
+        <events>
+            <execute>
+                <EventListener event="dockMe" />
+            </execute>
+        </events>
+        <attached>
+            <DistanceTrigger position="0,0,0" distance="200" target="SpaceShip" beaconMode="exclude" targetname="NPC" name="dockMe" />
+            <Billboard position="0,0,0" amplitude=1 material="Flares/lensflare" colour="1,0,0.05" />
+        </attached>
+    </Dock>
+
+    <SpaceShip
+        template            = "spaceshipassff2"
+        team                = "0"
+        position            = "7500,-5500,0"
+        orientation         = "-0.14, 0.68, 0.68, 0.223"
+        health              = "400"
+        initialhealth       = "400"
+        maxhealth           = "500"
+        shieldhealth        = "80"
+        initialshieldhealth = "80"
+        maxshieldhealth     = "120"
+        shieldabsorption    = "0.8"
+        reloadrate          = "1"
+        reloadwaittime      = "1"
+        name                = "cruiser"
+        radarname           = "Spacecruiser" >
+      <attached>
+        <DockingTarget name="newSpaceShip" />
+      </attached>
+    </SpaceShip>
+
+    <!-- FPS Player as destination of the dock -->
+    <FpsPlayer template = "fps" radarname = "First Person Player" position = "0,-19900,0" >
+        <attached>
+            <DockingTarget name="newSpaceShip" />
+            <DistanceTriggerBeacon name="NPC" />
+        </attached>
+    </FpsPlayer>
+
     <!-- A, Coordinates are approx. (cos(29pi/16), sin(29pi/16), 0)*3000 -->
-    <Pawn name="statA" radarname="Station A" position="5000,-3000,0" direction="0,1,0" initialhealth=1000 maxhealth=1000>
+    <Pawn name="statA" radarname="Station A" position="5000,-3000,0" direction="0,1,0" initialhealth=10000 maxhealth=10000>
+        <templates>
+            <Template link="station" />
+        </templates>
+        <attached>
+            <DockingTarget name="dockA" />
+        </attached>
+    </Pawn>
+
+    <!-- B, Coordinates are approx. (-cos(29pi/16), sin(29pi/16), 0)*3000 -->
+    <Pawn name="statB" radarname="Station B" position="-5000,-3000,0" direction="0,1,0" initialhealth=10000 maxhealth=10000>
         <templates>
             <Template link="station" />
@@ -356,13 +415,6 @@
     </Pawn>
 
-    <!-- B, Coordinates are approx. (-cos(29pi/16), sin(29pi/16), 0)*3000 -->
-    <Pawn name="statB" radarname="Station B" position="-5000,-3000,0" direction="0,1,0" initialhealth=1000 maxhealth=1000>
-        <templates>
-            <Template link="station" />
-        </templates>
-    </Pawn>
-
     <!-- C -->
-    <Pawn name="statC" radarname="Station C" position="0,-2500,0" direction="0,1,0" initialhealth=1000 maxhealth=1000>
+    <Pawn name="statC" radarname="Station C" position="0,-2500,0" direction="0,1,0" initialhealth=10000 maxhealth=10000>
         <templates>
             <Template link="station" />
@@ -426,5 +478,5 @@
     <?lua end ?>
 
-    <!-- Transporter, starting Point is near A, end Point near B, the circle parameters for the waypoints are: Center = (0, -887, 0), r = 2613 -->
+    <!-- Transporter, starting Point is near A, end Point near B, the circle parameters for the waypoints are: Center = (0, -887, 0), r = 2613 --
     <SpaceShip position="5000,-3000,0" lookat="-2494, -1667, 0" team=1 name="transporter" radarname="Shuttle">
         <templates>
@@ -437,5 +489,5 @@
             <WaypointController accuracy=10>
                 <waypoints>
-                    <!-- A to B -->
+                    !-- A to B --
                     <?lua
                     max = 5
@@ -448,8 +500,8 @@
                     <?lua end ?>
 
-                    <!-- Return Point -->
+                    !-- Return Point --
                     <Billboard position="-5000, -3000, 0" amplitude=1 material="Flares/lensflare" colour="1,1,0.05"/>
 
-                    <!-- B to A -->
+                    !-- B to A --
                     <?lua
                     max = 5
@@ -462,10 +514,10 @@
                     <?lua end ?>
 
-                    <!-- Start Point -->
+                    !-- Start Point --
                     <Billboard position="5000,-3000,0" amplitude=1 material="Flares/lensflare" colour="1,1,0.05"/>
                 </waypoints>
             </WaypointController>
         </controller>
-    </SpaceShip>
+    </SpaceShip/> -->
 
     </Scene>
